SQ(1)

NAME
sq-key-subkey-expire - Change a subkey's expiration time

SYNOPSIS
sq key subkey expire [OPTIONS]

DESCRIPTION
Change a subkey's expiration time.

This subcommand changes a key's expiration time. To change the expiration time of the certificate, use the `sq key expire` subcommand.

Changing the expiration time of the primary key is equivalent to changing the certificate's expiration time. The expiration time of a subkey is bound by the expiration of the certificate.

OPTIONS

  Subcommand options

--cert=FINGERPRINT|KEYID
    Change the expiration of the specified (sub)keys on the key with the specified fingerprint or key ID

--cert-email=EMAIL
    Change the expiration of the specified (sub)keys on the key where a user ID includes the specified email address

--cert-file=PATH
    Change the expiration of the specified (sub)keys on the key read from PATH

--cert-userid=USERID
    Change the expiration of the specified (sub)keys on the key with the specified user ID

--expiration=EXPIRATION
    Sets the expiration time

    EXPIRATION is either an ISO 8601 formatted date with an optional time or a custom duration. A duration takes the form `N[ymwds]`, where the letters stand for years, months, weeks, days, and seconds, respectively. Alternatively, the keyword `never` does not set an expiration time.

    [default: never]

--key=FINGERPRINT|KEYID
    Use the key with the specified fingerprint or key ID

--output=FILE
    Write to the specified FILE

    If not specified, and the certificate was read from the certificate store, imports the modified certificate into the cert store. If not specified, and the certificate was read from a file, writes the modified certificate to stdout.

  Global options
See sq(1) for a description of the global options.

EXAMPLES

Change Alice's authentication subkey to expire in 6 months.

    sq key subkey expire --expiration 6m \
        --cert=EB28F26E2739A4870ECC47726F0073F60FD0CBF0 \
        --key=0D45C6A756A038670FDFD85CB1C82E8D27DB23A1

SEE ALSO
sq(1), sq-key(1), sq-key-subkey(1).

For the full documentation see <https://book.sequoia-pgp.org/>.

VERSION
1.3.1